Package net.snowflake.client.api.resultset

## Interface SnowflakeResultSetSerializable

    public interface SnowflakeResultSetSerializable

This interface defines Snowflake specific APIs to access the data wrapped in the result set serializable object.

### Nested Class Summary

Nested Classes
`static class` `SnowflakeResultSetSerializable.ResultSetRetrieveConfig`

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getCompressedDataSizeInBytes()` Retrieve compressed data size included in the ResultSet Serializable object.
`ResultSet` `getResultSet​(SnowflakeResultSetSerializable.ResultSetRetrieveConfig resultSetRetrieveConfig)` Get ResultSet from the ResultSet Serializable object so that the user can access the data.
`long` `getRowCount()` Retrieve total row count included in the ResultSet Serializable object.
`long` `getUncompressedDataSizeInBytes()` Retrieve uncompressed data size included in the ResultSet Serializable object.

### Method Detail

#### getResultSet

    ResultSet getResultSet​(SnowflakeResultSetSerializable.ResultSetRetrieveConfig resultSetRetrieveConfig)
                    throws SQLException

Get ResultSet from the ResultSet Serializable object so that the user can access the data.

Parameters:
  `resultSetRetrieveConfig` - The extra info to retrieve the result set.
Returns:
  a ResultSet which represents for the data wrapped in the object
Throws:
  `SQLException` - if an error occurs

#### getRowCount

    long getRowCount()
              throws SQLException

Retrieve total row count included in the ResultSet Serializable object.

Returns:
  the total row count from metadata
Throws:
  `SQLException` - if an error occurs

#### getCompressedDataSizeInBytes

    long getCompressedDataSizeInBytes()
                               throws SQLException

Retrieve compressed data size included in the ResultSet Serializable object.

Returns:
  the total compressed data size in bytes from metadata
Throws:
  `SQLException` - if an error occurs

#### getUncompressedDataSizeInBytes

    long getUncompressedDataSizeInBytes()
                                 throws SQLException

Retrieve uncompressed data size included in the ResultSet Serializable object.

Returns:
  the total uncompressed data size in bytes from metadata
Throws:
  `SQLException` - if an error occurs